//
// Copyright (c) 2012, MindFusion LLC - Bulgaria.
//

using System;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;


namespace MindFusion.Diagramming.WinForms.Samples.CS.EventLogger
{
	/// <summary>
	/// Summary description for MainForm.
	/// </summary>
	public partial class MainForm : Form
	{
		public MainForm()
		{
			InitializeComponent();
            diagram1.ShapeNodeStyle.Brush = new MindFusion.Drawing.LinearGradientBrush(Color.FromArgb(224, 233, 233),
                Color.FromArgb(0, 52, 102), 30);
            diagram1.ShapeNodeStyle.Stroke = new MindFusion.Drawing.SolidBrush(Color.FromArgb(45, 57, 86));
            diagram1.DiagramLinkStyle.Stroke = new MindFusion.Drawing.SolidBrush(Color.FromArgb(45, 57, 86));
            diagram1.DiagramLinkStyle.Brush = new MindFusion.Drawing.SolidBrush(Color.FromArgb(224, 233, 233));
            diagram1.DiagramLinkStyle.HeadStroke = new MindFusion.Drawing.SolidBrush(Color.FromArgb(45, 57, 86));

			diagram1.LinkHeadShape = ArrowHeads.Triangle;
            
		}

		private void diagramView1_Click(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"Click");
			}
		}

		private void diagramView1_DoubleClick(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"DoubleClick");
			}
		}

		private void diagramView1_MouseCaptureChanged(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseCaptureChanged");
			}
		}

		private void diagramView1_MouseClick(object sender, MouseEventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseClick");
			}
		}

		private void diagramView1_MouseDoubleClick(object sender, MouseEventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseDoubleClick");
			}
		}

		private void diagramView1_Paint(object sender, PaintEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"Paint");
			}
		}

		private void diagramView1_ChangeUICues(object sender, UICuesEventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"ChangeUICues");
			}
		}

		private void diagramView1_ControlAdded(object sender, ControlEventArgs e)
		{
			Log(sender,"ControlAdded");
		}

		private void diagramView1_ControlRemoved(object sender, ControlEventArgs e)
		{
			Log(sender,"ControlRemoved");
		}

		private void diagramView1_HelpRequested(object sender, HelpEventArgs hlpevent)
		{
			Log(sender,"HelpRequested");
		}

		private void diagramView1_ImeModeChanged(object sender, EventArgs e)
		{
			Log(sender,"ImeModeChanged");
		}

		private void diagramView1_QueryAccessibilityHelp(object sender, QueryAccessibilityHelpEventArgs e)
		{
			Log(sender,"QueryAccessibilityHelp");
		}

		private void diagramView1_StyleChanged(object sender, EventArgs e)
		{
			Log(sender,"StyleChanged");
		}

		private void diagramView1_SystemColorsChanged(object sender, EventArgs e)
		{
			Log(sender,"SystemColorsChanged");
		}

		private void diagramView1_DragDrop(object sender, DragEventArgs e)
		{
			Log(sender,"DragDrop");
		}

		private void diagramView1_DragEnter(object sender, DragEventArgs e)
		{
			Log(sender,"DragEnter");
		}

		private void diagramView1_DragLeave(object sender, EventArgs e)
		{
			Log(sender,"DragLeave");
		}

		private void diagramView1_DragOver(object sender, DragEventArgs e)
		{
			Log(sender,"DragOver");
		}

		private void diagramView1_GiveFeedback(object sender, GiveFeedbackEventArgs e)
		{
			Log(sender,"GiveFeedback");
		}

		private void diagramView1_QueryContinueDrag(object sender, QueryContinueDragEventArgs e)
		{
			Log(sender,"QueryContinueDrag");
		}

		private void diagramView1_Enter(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"Enter");
			}
		}

		private void diagramView1_Leave(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"Leave");
			}
		}

		private void diagramView1_Validated(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"Validated");
			}
		}

		private void diagramView1_Validating(object sender, CancelEventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"Validating");
			}
		}

		private void diagramView1_EnterInplaceEditMode(object sender, InPlaceEditEventArgs e)
		{
			Log(sender,"EnterInplaceEditMode");
		}

		private void diagramView1_LeaveInplaceEditMode(object sender, InPlaceEditEventArgs e)
		{
			Log(sender,"LeaveInplaceEditMode");
		}

		private void diagramView1_KeyDown(object sender, KeyEventArgs e)
		{
			Log(sender,"KeyDown");
		}

		private void diagramView1_KeyPress(object sender, KeyPressEventArgs e)
		{
			Log(sender,"KeyPress");
		}

		private void diagramView1_KeyUp(object sender, KeyEventArgs e)
		{
			Log(sender,"KeyUp");
		}
		private void diagramView1_Layout(object sender, LayoutEventArgs e)
		{
			Log(sender,"Layout");
		}

		private void diagramView1_MarginChanged(object sender, EventArgs e)
		{
			Log(sender,"MarginChanged");
		}

		private void diagramView1_Move(object sender, EventArgs e)
		{
			Log(sender,"Move");
		}

		private void diagramView1_PaddingChanged(object sender, EventArgs e)
		{
			Log(sender,"PaddingChanged");
		}

		private void diagramView1_Resize(object sender, EventArgs e)
		{
			Log(sender,"Resize");
		}

		private void diagramView1_DeserializeControl(object sender, ControlNodeEventArgs e)
		{
			Log(sender,"DeserializeControl");
		}

		private void diagramView1_PaintControl(object sender, PaintControlEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"PaintControl");
			}
		}

		private void diagramView1_SerializeControl(object sender, ControlNodeEventArgs e)
		{
			Log(sender,"SerializeControl");
		}

		private void diagramView1_CopyHostedControl(object sender, CopyHostedControlEventArgs e)
		{
			Log(sender,"CopyHostedControl");
		}

		private void diagramView1_MouseDown(object sender, MouseEventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseDown");
			}
		}

		private void diagramView1_MouseEnter(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseEnter");
			}
		}

		private void diagramView1_MouseHover(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseHover");
			}
		}

		private void diagramView1_MouseLeave(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseLeave");
			}
		}

		private void diagramView1_MouseMove(object sender, MouseEventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseMove");
			}
		}

		private void diagramView1_MouseUp(object sender, MouseEventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"MouseUp");
			}
		}

		private void diagramView1_BackColorChanged(object sender, EventArgs e)
		{
			Log(sender,"BackColorChanged");
		}

		private void diagramView1_BackgroundImageChanged(object sender, EventArgs e)
		{
			Log(sender,"BackgroundImageChanged");
		}

		private void diagramView1_BackgroundImageLayoutChanged(object sender, EventArgs e)
		{
			Log(sender,"BackgroundImageLayoutChanged");
		}

		private void diagramView1_BindingContextChanged(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"BindingContextChanged");
			}
		}

		private void diagramView1_CausesValidationChanged(object sender, EventArgs e)
		{
			Log(sender,"CausesValidationChanged");
		}

		private void diagramView1_ClientSizeChanged(object sender, EventArgs e)
		{
			Log(sender,"ClientSizeChanged");
		}

		private void diagramView1_ContextMenuStripChanged(object sender, EventArgs e)
		{
			Log(sender,"ContextMenuStripChanged");
		}

		private void diagramView1_CursorChanged(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"CursorChanged");
			}
		}

		private void diagramView1_DiagramChanged(object sender, EventArgs e)
		{
			Log(sender,"DiagramChanged");
		}

		private void diagramView1_DockChanged(object sender, EventArgs e)
		{
			Log(sender,"DockChanged");
		}

		private void diagramView1_EnabledChanged(object sender, EventArgs e)
		{
			Log(sender,"EnabledChanged");
		}

		private void diagramView1_FontChanged(object sender, EventArgs e)
		{
			Log(sender,"FontChanged");
		}

		private void diagramView1_ForeColorChanged(object sender, EventArgs e)
		{
			Log(sender,"ForeColorChanged");
		}

		private void diagramView1_LocationChanged(object sender, EventArgs e)
		{
			Log(sender,"LocationChanged");
		}

		private void diagramView1_ParentChanged(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"ParentChanged");
			}
		}

		private void diagramView1_RegionChanged(object sender, EventArgs e)
		{
			Log(sender,"RegionChanged");
		}

		private void diagramView1_RightToLeftChanged(object sender, EventArgs e)
		{
			Log(sender,"RightToLeftChanged");
		}

		private void diagramView1_ScrollChanged(object sender, EventArgs e)
		{
			Log(sender,"ScrollChanged");
		}

		private void diagramView1_SizeChanged(object sender, EventArgs e)
		{
			Log(sender,"SizeChanged");
		}

		private void diagramView1_TabIndexChanged(object sender, EventArgs e)
		{
			Log(sender,"TabIndexChanged");
		}

		private void diagramView1_TabStopChanged(object sender, EventArgs e)
		{
			Log(sender,"TabStopChanged");
		}

		private void diagramView1_TextChanged(object sender, EventArgs e)
		{
			Log(sender,"TextChanged");
		}

		private void diagramView1_VisibleChanged(object sender, EventArgs e)
		{
			if (cbLogMouseEvents.Checked)
			{
				Log(sender,"VisibleChanged");
			}
		}

		private void diagramView1_ZoomFactorChanged(object sender, EventArgs e)
		{
			Log(sender,"ZoomFactorChanged");
		}
		private void Log(object sender,string message)
		{
			if (sender == diagram1)
			{
				LogView("Diagram." + message);
			}
			else if(sender == diagramView1)
			{
				LogView("DiagramView." + message);
			}
		}

		private void LogView(string message)
		{
			int index = listBox1.Items.Add(message);
			listBox1.TopIndex = index - 19 + 1;
		}

		private void button1_Click(object sender, EventArgs e)
		{
			OpenFileDialog d = new OpenFileDialog();
			if (d.ShowDialog(this) == DialogResult.OK)
			{
				diagramView1.LoadFromFile(d.FileName);
			}
		}

		private void button2_Click(object sender, EventArgs e)
		{
			OpenFileDialog d = new OpenFileDialog();
			if (d.ShowDialog(this) == DialogResult.OK)
			{
				diagramView1.LoadFromXml(d.FileName);
			}
		}

		private void diagram1_LinkPasted(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkPasted");
		}

		private void diagram1_NodePasted(object sender, NodeEventArgs e)
		{
			Log(sender,"NodePasted");
		}

		private void diagram1_DrawAdjustmentHandles(object sender, DrawItemEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"DrawAdjustmentHandles");
			}
		}

		private void diagram1_DrawAnchorPoint(object sender, DrawAnchorPointEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"DrawAnchorPoint");
			}
		}

		private void diagram1_DrawCell(object sender, DrawCellEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"DrawCell");
			}
		}

		private void diagram1_DrawLink(object sender, DrawLinkEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"DrawLink");
			}
		}

		private void diagram1_DrawNode(object sender, DrawNodeEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"DrawNode");
			}
		}

		private void diagram1_Repaint(object sender, RepaintEventArgs e)
		{
			if (cbLogPaintEvents.Checked)
			{
				Log(sender,"Repaint");
			}
		}

		private void diagram1_CellTextEdited(object sender, EditCellTextEventArgs e)
		{
			Log(sender,"CellTextEdited");
		}

		private void diagram1_CellTextEditing(object sender, CellValidationEventArgs e)
		{
			Log(sender,"CellTextEditing");
		}

		private void diagram1_NodeTextEdited(object sender, EditNodeTextEventArgs e)
		{
			Log(sender,"NodeTextEdited");
		}

		private void diagram1_NodeTextEditing(object sender, NodeValidationEventArgs e)
		{
			Log(sender,"NodeTextEditing");
		}

		private void diagram1_ItemAdded(object sender, ItemEventArgs e)
		{
			Log(sender,"ItemAdded");
		}

		private void diagram1_ItemRemoved(object sender, ItemEventArgs e)
		{
			Log(sender,"ItemRemoved");
		}

		private void diagram1_DestAnchorChanged(object sender, AnchorPointEventArgs e)
		{
			Log(sender,"DestAnchorChanged");
		}

		private void diagram1_InitializeLink(object sender, LinkEventArgs e)
		{
			Log(sender,"InitializeLink");
		}

		private void diagram1_LinkActivated(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkActivated");
		}

		private void diagram1_LinkClicked(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkClicked");
		}

		private void diagram1_LinkCreated(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkCreated");
		}

		private void diagram1_LinkCreating(object sender, LinkValidationEventArgs e)
		{
			Log(sender,"LinkCreating");
		}

		private void diagram1_LinkDeactivated(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkDeactivated");
		}

		private void diagram1_LinkDeleted(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkDeleted");
		}

		private void diagram1_LinkDeleting(object sender, LinkValidationEventArgs e)
		{
			Log(sender,"LinkDeleting");
		}

		private void diagram1_LinkDeselected(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkDeselected");
		}

		private void diagram1_LinkDoubleClicked(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkDoubleClicked");
		}

		private void diagram1_LinkModified(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkModified");
		}

		private void diagram1_LinkModifying(object sender, LinkValidationEventArgs e)
		{
			Log(sender,"LinkModifying");
		}

		private void diagram1_LinkRouted(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkRouted");
		}

		private void diagram1_LinkSelected(object sender, LinkEventArgs e)
		{
			Log(sender,"LinkSelected");
		}

		private void diagram1_LinkSelecting(object sender, LinkValidationEventArgs e)
		{
			Log(sender,"LinkSelecting");
		}

		private void diagram1_OrgnAnchorChanged(object sender, AnchorPointEventArgs e)
		{
			Log(sender,"OrgnAnchorChanged");
		}

		private void diagram1_ValidateAnchorPoint(object sender, LinkValidationEventArgs e)
		{
			Log(sender,"ValidateAnchorPoint");
		}

		private void diagram1_BeginLoad(object sender, EventArgs e)
		{
			Log(sender,"BeginLoad");
		}

		private void diagram1_EndLoad(object sender, EventArgs e)
		{
			Log(sender,"EndLoad");
		}

		private void diagram1_ExpandButtonClicked(object sender, NodeEventArgs e)
		{
			Log(sender,"ExpandButtonClicked");
		}

		private void diagram1_GroupDestroyed(object sender, GroupEventArgs e)
		{
			Log(sender,"GroupDestroyed");
		}

		private void diagram1_HitTestAdjustmentHandles(object sender, HitTestEventArgs e)
		{
			Log(sender,"HitTestAdjustmentHandles");
		}

		private void diagram1_TreeCollapsed(object sender, NodeEventArgs e)
		{
			Log(sender,"TreeCollapsed");
		}

		private void diagram1_TreeExpanded(object sender, NodeEventArgs e)
		{
			Log(sender,"TreeExpanded");
		}

		private void diagram1_ViewRemoved(object sender, CancelEventArgs e)
		{
			Log(sender,"ViewRemoved");
		}

		private void diagram1_Clicked(object sender, DiagramEventArgs e)
		{
            
			Log(sender,"Clicked");
            
		}

		private void diagram1_DoubleClicked(object sender, DiagramEventArgs e)
		{
			Log(sender,"DoubleClicked");
		}

		private void diagram1_InitializeNode(object sender, NodeEventArgs e)
		{
			Log(sender,"InitializeNode");
		}

		private void diagram1_NodeActivated(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeActivated");
		}

		private void diagram1_NodeClicked(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeClicked");
		}

		private void diagram1_NodeCreated(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeCreated");
		}

		private void diagram1_NodeCreating(object sender, NodeValidationEventArgs e)
		{
			Log(sender,"NodeCreating");
		}

		private void diagram1_NodeDeactivated(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeDeactivated");
		}

		private void diagram1_NodeDeleted(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeDeleted");
		}

		private void diagram1_NodeDeleting(object sender, NodeValidationEventArgs e)
		{
			Log(sender,"NodeDeleting");
		}

		private void diagram1_NodeDeselected(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeDeselected");
		}

		private void diagram1_NodeDoubleClicked(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeDoubleClicked");
		}

		private void diagram1_NodeModified(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeModified");
		}

		private void diagram1_NodeModifying(object sender, NodeValidationEventArgs e)
		{
			Log(sender,"NodeModifying");
		}

		private void diagram1_NodeSelected(object sender, NodeEventArgs e)
		{
			Log(sender,"NodeSelected");
		}

		private void diagram1_NodeSelecting(object sender, NodeValidationEventArgs e)
		{
			Log(sender,"NodeSelecting");
		}

		private void diagram1_BoundsChanged(object sender, EventArgs e)
		{
			Log(sender,"BoundsChanged");
		}

		private void diagram1_DefaultShapeChanged(object sender, EventArgs e)
		{
			Log(sender,"DefaultShapeChanged");
		}

		private void diagram1_DirtyChanged(object sender, EventArgs e)
		{

			Log(sender,"DirtyChanged");

		}

		private void diagram1_MeasureUnitChanged(object sender, EventArgs e)
		{
			Log(sender,"MeasureUnitChanged");
		}

		private void diagram1_SelectionChanged(object sender, EventArgs e)
		{
			Log(sender,"SelectionChanged");
		}

		private void diagram1_SelectionModified(object sender, SelectionEventArgs e)
		{
			Log(sender,"SelectionModified");
		}

		private void diagram1_SelectionModifying(object sender, SelectionValidationEventArgs e)
		{
			Log(sender,"SelectionModifying");
		}

		private void diagram1_DeserializeTag(object sender, SerializeTagEventArgs e)
		{
			Log(sender,"DeserializeTag");
		}

		private void diagram1_SerializeTag(object sender, SerializeTagEventArgs e)
		{
			Log(sender,"SerializeTag");
		}

		private void diagram1_CellClicked(object sender, CellEventArgs e)
		{
			Log(sender,"CellClicked");
		}

		private void diagram1_CellDoubleClicked(object sender, CellEventArgs e)
		{
			Log(sender,"CellDoubleClicked");
		}

		private void diagram1_TableSectionCollapsed(object sender, RowEventArgs e)
		{
			Log(sender,"TableSectionCollapsed");
		}

		private void diagram1_TableSectionExpanded(object sender, RowEventArgs e)
		{
			Log(sender,"TableSectionExpanded");
		}

		private void diagram1_ActionRecorded(object sender, UndoEventArgs e)
		{
			Log(sender,"ActionRecorded");
		}

		private void diagram1_ActionRecording(object sender, UndoValidationEventArgs e)
		{
			Log(sender,"ActionRecording");
		}

		private void diagram1_ActionRedone(object sender, UndoEventArgs e)
		{
			Log(sender,"ActionRedone");
		}

		private void diagram1_ActionUndone(object sender, UndoEventArgs e)
		{
			Log(sender,"ActionUndone");
		}

		private void button3_Click(object sender, EventArgs e)
		{
			listBox1.Items.Clear();
		}
	}
}